petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreate

Creates a DMPlex object, which encapsulates an unstructured mesh, or CW complex, which can be expressed using a Hasse Diagram.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreate(MPI_Comm comm, DM *mesh)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DMPlex object

### Output Parameter

mesh -The DMPlex object

### Keywords

DMPlex, create

Level:beginner
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages